html {
  scroll-behavior: smooth;
}

:root {
	
	--var-theme: rgb(26, 186, 255);
 
	
}


.wrapper h1{
  color: rgb(0, 170, 255);
}

hr{
  border-bottom:  rgb(0, 170, 255) ;
}
.wrapper hr{
  border-style:double;
  border-color: rgb(0, 170, 255);
  border-width: 2px;
  width: 500px;
margin-left: 300px;
}

body{

  background: yellow;
}
.wrapper{
  margin: 100px auto;
  max-width: 1100px;
}
.wrapper nav{
  display: flex;
  justify-content: center;
}
.wrapper .items{
  display: flex;
  max-width: 1000px;
  width: 100%;
  justify-content: space-between;
}
.items span{
  height: 50px;
  padding: 7px 25px;
  font-size: 18px;
  font-weight: 500;
  cursor: pointer;
  color: var(--var-theme);
  font-family: montserrat;
  transition: all 0.3s ease;
}
.items span.active,
.items span:hover{
  color: #fff;
  background: var(--var-theme);
}

.gallery{
  display: flex;
  flex-wrap: wrap;
  margin-top: 30px;
}
.gallery .image{
  width: calc(100% / 4);
  padding: 7px;
}
.gallery .image span{
  display: flex;
  width: 100%;
  overflow: hidden;
}
.gallery .image img{
  width: 100%;
  vertical-align: middle;
  transition: all 0.3s ease;
  border-color: yellow;
  border-style: solid;
  border-width: 3px;
}
.gallery .image:hover img{
  transform: scale(1.1);
  
  
}
.gallery .image.hide{
  display: none;
  
}
.gallery .image.show{
  animation: animate 0.4s ease;

}
@keyframes animate {
  0%{
    transform: scale(0.5);
  }
  100%{
    transform: scale(1);
  }
}

.preview-box{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0.9);
  background: #fff;
  max-width: 900px;
  width: 100%;
  z-index: 5;
  opacity: 0;
  pointer-events: none;
  border-radius: 3px;
  box-shadow: 0px 0px 15px rgba(0,0,0,0.2);
}
.preview-box.show{
  opacity: 1;
  pointer-events: auto;
  transform: translate(-50%, -50%) scale(1);
  transition: all 0.3s ease;
}
.preview-box .details{
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
}

.details .icon{
  color: #ffffff;
  font-style: 22px;
  cursor: pointer;
  position: absolute;
  background: var(--var-theme);
  padding: 10px 15px;
  border-radius: 5px;
  top: 20px;
  right:20px ;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}
.preview-box .image-box{
  width: 100%;
  display: flex;
}
.image-box img{
  width: 100%;
  border-radius: 0 0 3px 3px;
}
.shadow{
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  z-index: 2;
  display: none;
  background: rgba(0,0,0,0.4);
}
.shadow.show{
  display: block;
}

@media (max-width: 1000px) {
  .gallery .image{
    width: calc(100% / 3);
  }
}
@media (max-width: 800px) {
  .gallery .image{
    width: calc(100% / 2);
  }
}
@media (max-width: 700px) {
  .wrapper nav .items{
    max-width: 600px;
  }
  nav .items span{
    padding: 7px 15px;
  }
}
@media (max-width: 600px) {
  .wrapper{
    margin: 30px auto;
  }
  .wrapper nav .items{
    flex-wrap: wrap;
    justify-content: center;
  }
  nav .items span{
    margin: 5px;
  }
  .gallery .image{
    width: 100%;
  }
}






/* vist previa*/

.preview-box{
    position: fixed;
    top: 25%;
    left: 50%;
    
    transform: translate(-50%, -50%) scale(0.5);
    background: #fff;
    max-width: 600px;
    width: 30%;
    height: 15%;
    z-index: 5;
    opacity: 0;
    pointer-events: none;
    border-radius: 3px;
    box-shadow: 0px 0px 15px rgba(0,0,0,0.2);
    margin-bottom: 50px;
  }
  .preview-box.show{
    opacity: 1;
    pointer-events: auto;
    transform: translate(-50%, -50%) scale(1);
    transition: all 0.3s ease;
  }
  .preview-box .details{
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
  }
  
  .details .icon{
    color: #2b00ff;
    font-style: 22px;
    cursor: pointer;
    position: absolute;
    background: var(--var-theme);
    padding: 10px 15px;
    border-radius: 5px;
    top: 20px;
    right:20px ;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
  }
  .preview-box .image-box{
    width: 100%;
    display: flex;
  }
  .image-box img{
    width: 100%;
    border-radius: 0 0 3px 3px;
  }
  .shadow{
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: 2;
    display: none;
    background: rgba(0,0,0,0.4);
  }
  .shadow.show{
    display: block;
  }
  
  @media (max-width: 1000px) {
    .gallery .image{
      width: calc(100% / 3);
    }
  }
  @media (max-width: 800px) {
    .gallery .image{
      width: calc(100% / 2);
    }
  }
  @media (max-width: 700px) {
    .wrapper nav .items{
      max-width: 600px;
    }
    nav .items span{
      padding: 7px 15px;
    }
  }
  @media (max-width: 600px) {
    .wrapper{
      margin: 30px auto;
    }
    .wrapper nav .items{
      flex-wrap: wrap;
      justify-content: center;
    }
    nav .items span{
      margin: 5px;
    }
    .gallery .image{
      width: 100%;
    }
  }
